Bug 995864 - (liblinear) Review Request: liblinear - Library for Large Linear Classification
Review Request: liblinear - Library for Large Linear Classification
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Christopher Meng
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-11 12:13 EDT by Björn "besser82" Esser
Modified: 2014-06-24 18:07 EDT (History)
2 users (show)

See Also:
Fixed In Version: liblinear-1.93-2.el5
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-18 17:32:32 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
i: fedora‑review+


Attachments (Terms of Use)

  None (edit)
Description Björn "besser82" Esser 2013-08-11 12:13:57 EDT
Description:

  liblinear is an open source library for large-scale linear classication.
  It supports logistic regression and linear support vector machines.  It
  provides easy-to-use command-line tools and library calls for users and
  developers.  Comprehensive documents are available for both beginners
  and advanced users.

  Experiments demonstrate that liblinear is very efficient on large sparse
  data sets.  liblinear is the winner of ICML 2008 large-scale learning
  challenge (linear SVM track).  It is also used for winning KDD Cup 2010.


Koji Builds:

  el5:  http://koji.fedoraproject.org/koji/taskinfo?taskID=5805889
  el6:  http://koji.fedoraproject.org/koji/taskinfo?taskID=5805893
  F18:  http://koji.fedoraproject.org/koji/taskinfo?taskID=5805897
  F19:  http://koji.fedoraproject.org/koji/taskinfo?taskID=5805903
  Frh:  http://koji.fedoraproject.org/koji/taskinfo?taskID=5805906


rpmlint (installed pkgs, rawhide):

  liblinear-devel.x86_64: W: no-documentation
  liblinear-cli.x86_64: W: no-manual-page-for-binary predict
  liblinear-cli.x86_64: W: no-manual-page-for-binary train
  4 packages and 0 specfiles checked; 0 errors, 3 warnings.


fedora-review:

  no issues found by automatic tests


Fedora Account System Username:

  besser82


Urls:

  Spec URL: http://besser82.fedorapeople.org/review/liblinear.spec
  SRPM URL: http://besser82.fedorapeople.org/review/liblinear-1.93-1.fc19.src.rpm

#####

Thanks for review in advance!
Comment 1 Christopher Meng 2013-08-11 21:26:52 EDT
%doc COPYRIGHT appeared twice.

I think just put it in main pkg is ok.
Comment 2 Björn "besser82" Esser 2013-08-12 03:45:33 EDT
(In reply to Christopher Meng from comment #1)
> %doc COPYRIGHT appeared twice.
> 
> I think just put it in main pkg is ok.

Why?  Can you share your thoughs in a bit more elaborated sentence, please?

I think having COPYRIGHT in base and doc-pkg is a must to meet the guidelines from [1].  The doc-subpkg has, apart from the others, no deps on any pkg.  Documentation should not require some binary-pkg, because most people want to read docs BEFORE installing the binary.

[1] http://fedoraproject.org/wiki/Packaging:LicensingGuidelines#Subpackage_Licensing
Comment 3 Michael Schwendt 2013-08-12 07:37:14 EDT
What I don't understand is why the Python subpackages don't use %?_isa?
https://fedoraproject.org/wiki/Packaging:Guidelines#Requiring_Base_Package

  $ rpm -qR python-liblinear|grep -v ^rpm
  liblinear = 1.93-1.fc19
  python(abi) = 2.7

The Python module strictly needs the arch-specific lib using a specific SONAME.
Comment 4 Björn "besser82" Esser 2013-08-12 08:15:32 EDT
(In reply to Michael Schwendt from comment #3)
> What I don't understand is why the Python subpackages don't use %?_isa?
> https://fedoraproject.org/wiki/Packaging:Guidelines#Requiring_Base_Package
> 
>   $ rpm -qR python-liblinear|grep -v ^rpm
>   liblinear = 1.93-1.fc19
>   python(abi) = 2.7
> 
> The Python module strictly needs the arch-specific lib using a specific
> SONAME.

Thanks for the hint, Michael!  Didn't mind that, unfortunately. :(
Fixed in updated spec-file below.

#####

Changelog:

  * Mon Aug 12 2013 Björn Esser <bjoern.esser@gmail.com> - 1.93-2
  - build arched python-plugins
  - nuke hashbang from python-plugins

  * Sun Aug 11 2013 Björn Esser <bjoern.esser@gmail.com> - 1.93-1
  - Initial rpm release


Urls:

  Spec URL: http://besser82.fedorapeople.org/review/liblinear.spec
  SRPM URL: http://besser82.fedorapeople.org/review/liblinear-1.93-2.fc19.src.rpm
Comment 5 Christopher Meng 2013-08-14 20:22:52 EDT
I'm eating libraries.

Will review it later.
Comment 6 Christopher Meng 2013-08-14 22:14:22 EDT
http://www.csie.ntu.edu.tw/~cjlin/liblinear/exp.html :
  CHECKSUM(SHA256) this package     : 55a00eea6b597d7bef77165dd7d6e91398cacd185afcaf63cb048a555102bc9f
  CHECKSUM(SHA256) upstream package : 84b2ca3abffea689b3b6eb3b8f40e6c62b12f285f394630b9ade4dcb080bc48d

I don't know what happened here, but please update it again.

SUGGESTION:

SPEC SHOULD CONTAIN FULL URL WITHOUT ANY MACROS, THIS WILL HELP OTHERS FIND THE URL QUICKLY, DON'T NEED TO WASTE TIME OF REPLACING THE MACRO WITH NAME.

APPROVED.
Comment 7 Björn "besser82" Esser 2013-08-15 03:04:00 EDT
(In reply to Christopher Meng from comment #6)
> http://www.csie.ntu.edu.tw/~cjlin/liblinear/exp.html :
>   CHECKSUM(SHA256) this package     :
> 55a00eea6b597d7bef77165dd7d6e91398cacd185afcaf63cb048a555102bc9f
>   CHECKSUM(SHA256) upstream package :
> 84b2ca3abffea689b3b6eb3b8f40e6c62b12f285f394630b9ade4dcb080bc48d
> 
> I don't know what happened here, but please update it again.

Seems like some update on project's hp.  Regenerated srpm without bumping revision.  Should be fixed now.

Source checksums
----------------
http://www.csie.ntu.edu.tw/~cjlin/liblinear/index.html :
  CHECKSUM(SHA256) this package     : 51dfdb61923d226637c0471189025bb77380e67a5fab0054af60ede8bd221412
  CHECKSUM(SHA256) upstream package : 51dfdb61923d226637c0471189025bb77380e67a5fab0054af60ede8bd221412
http://www.csie.ntu.edu.tw/~cjlin/liblinear/FAQ.html :
  CHECKSUM(SHA256) this package     : 1f4d162510b2358bda122b74e579b96d443d87e6c83c5822dca7dde5ffd12768
  CHECKSUM(SHA256) upstream package : 1f4d162510b2358bda122b74e579b96d443d87e6c83c5822dca7dde5ffd12768
http://www.csie.ntu.edu.tw/~cjlin/liblinear/liblinear-1.93.tar.gz :
  CHECKSUM(SHA256) this package     : 76c542aa056bd4514fa15de7a80219f60bb8bee5c5dd84e303e523fa1c5d9b46
  CHECKSUM(SHA256) upstream package : 76c542aa056bd4514fa15de7a80219f60bb8bee5c5dd84e303e523fa1c5d9b46
http://www.csie.ntu.edu.tw/~cjlin/liblinear/exp.html :
  CHECKSUM(SHA256) this package     : 84b2ca3abffea689b3b6eb3b8f40e6c62b12f285f394630b9ade4dcb080bc48d
  CHECKSUM(SHA256) upstream package : 84b2ca3abffea689b3b6eb3b8f40e6c62b12f285f394630b9ade4dcb080bc48d
http://www.csie.ntu.edu.tw/~cjlin/papers/liblinear.pdf :
  CHECKSUM(SHA256) this package     : c2e0bfdbb5157aa7251b6d85a05aebeb3715dee2e9d74dc4bc336c5703011dec
  CHECKSUM(SHA256) upstream package : c2e0bfdbb5157aa7251b6d85a05aebeb3715dee2e9d74dc4bc336c5703011dec

#####

Thanks for review, Christopher!

#####

New Package SCM Request
=======================
Package Name: liblinear
Short Description: Library for Large Linear Classification
Owners: besser82
Branches: el5 el6 f18 f19
InitialCC:
Comment 8 Gwyn Ciesla 2013-08-15 08:20:32 EDT
Git done (by process-git-requests).
Comment 9 Fedora Update System 2013-08-16 14:12:12 EDT
liblinear-1.93-2.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/liblinear-1.93-2.fc19
Comment 10 Fedora Update System 2013-08-16 14:12:16 EDT
liblinear-1.93-2.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/liblinear-1.93-2.fc18
Comment 11 Fedora Update System 2013-08-16 14:12:26 EDT
liblinear-1.93-2.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/liblinear-1.93-2.el6
Comment 12 Fedora Update System 2013-08-16 14:12:31 EDT
liblinear-1.93-2.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/liblinear-1.93-2.el5
Comment 13 Fedora Update System 2013-08-17 13:49:45 EDT
liblinear-1.93-2.el5 has been pushed to the Fedora EPEL 5 testing repository.
Comment 14 Fedora Update System 2013-08-18 17:32:32 EDT
liblinear-1.93-2.fc19 has been pushed to the Fedora 19 stable repository.
Comment 15 Fedora Update System 2013-08-31 19:57:21 EDT
liblinear-1.93-2.fc18 has been pushed to the Fedora 18 stable repository.
Comment 16 Fedora Update System 2013-09-01 14:47:34 EDT
liblinear-1.93-2.el6 has been pushed to the Fedora EPEL 6 stable repository.
Comment 17 Fedora Update System 2013-09-01 14:47:42 EDT
liblinear-1.93-2.el5 has been pushed to the Fedora EPEL 5 stable repository.
Comment 18 Björn "besser82" Esser 2013-09-23 15:44:19 EDT
Package Change Request
======================
Package Name: liblinear
Owners: ml-sig besser82
Branches: el5 el6 f18 f19 f20
Comment 19 Gwyn Ciesla 2013-09-23 16:12:41 EDT
Complete.

Note You need to log in before you can comment on or make changes to this bug.